Skip to main content
`Ctrl`+`K`

# TSGetTime

Gets the time of the most recently completed step.

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSGetTime(TS ts, PetscReal *t)

Not Collective

## Input Parameter

- ts - the `TS` context obtained from `TSCreate()`

## Output Parameter

- t - the current time. This time may not corresponds to the final time set with `TSSetMaxTime()`, use `TSGetSolveTime()`.

## Note

When called during time step evaluation (e.g. during residual evaluation or via hooks set using `TSSetPreStep()`, `TSSetPreStage()`, `TSSetPostStage()`, or `TSSetPostStep()`), the time is the time at the start of the step being evaluated.

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSGetSolveTime()`, `TSSetTime()`, `TSGetTimeStep()`, `TSGetStepNumber()`

## Level

beginner

## Location

src/ts/interface/ts.c

## Examples

src/ts/tutorials/ex30.c
src/ts/tutorials/ex45.c
src/ts/tutorials/ex51.c
src/ts/tutorials/ex18.c
src/ts/tutorials/ex11.c
src/ts/tutorials/ex41.c
src/ts/tutorials/ex31.c
src/ts/tutorials/ex17.c
src/ts/tutorials/ex40.c
src/ts/tutorials/ex48.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages